=== debian/changelog ===
xtend (1.2b4-1.1) unstable; urgency=low

  * Non-maintainer upload, with the maintainer's permission.
  * Raised Standards-Version: to 3.1.1 and added build dependencies
    (closes: #92550).
  * Recent debstd moves man pages to FHS locations (closes: #91101).
  * lintian errors: use absolute paths to conffiles.

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Jun 2001 13:01:43 +0100

xtend (1.2b4-1) unstable; urgency=low

  * New Upstream Version

 -- Troy Hanson <troy@debian.org>  Fri, 30 Mar 2001 16:43:50 -0600

xtend (1.1-6) unstable; urgency=low

  * Fixed lintian errors

 -- Troy Hanson <troy@debian.org>  Mon, 11 Jan 1999 19:23:59 -0600

xtend (1.1-24) unstable; urgency=low

  * Changed section to electronics

 -- Troy Hanson <troy@debian.org>  Mon, 29 Jun 1998 15:04:04 -0500

xtend (1.1-1) unstable; urgency=low

  * Initial Release.

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 23:26:12 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "troy@debian.org"
End:
