=== debian/control ===
Source: xtend
Section: electronics 
Priority: optional
Maintainer: Troy Hanson <troy@debian.org>
Standards-Version: 3.1.1
Build-Depends: debmake

Package: xtend
Architecture: any
Depends: ${shlibs:Depends}, heyu
Description: xtend - X10 status monitoring daemon 
 xtend listens to the CM11A controller and will run commands 
 in response to the input.  This allows for motion sensors, water
 level detectors, alarm switches, and other X10 enabled devices to keep a
 log of house activity and status.  Scripts can be written to e-mail
 reports, or update web pages based on X10 Activity.
 This package does not have transmit capability, if you want to control
 X10 devices, you need to use the heyu package.
