=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

package=xtend

build:
	$(checkdir)
	make 
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
	$(installdoc) tools/README debian/tmp/usr/lib/xtend
	$(installdoc) tools/xtend.bash debian/tmp/usr/lib/xtend
	$(installdoc) tools/xtend.pm debian/tmp/usr/lib/xtend
	$(installbin) tools/status debian/tmp/usr/lib/xtend
	$(installbin) tools/parse-status debian/tmp/usr/lib/xtend
	$(installbin) tools/status.bash debian/tmp/usr/lib/xtend
	$(installbin) tools/status2 debian/tmp/usr/lib/xtend
	$(installbin) debian/init.d debian/tmp/etc/init.d/xtend        
	$(installdoc) debian/xtend.conf debian/tmp/etc/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
